restic backup(1)

NAME

restic-rebuild-index - Build a new index file

SYNOPSIS

restic rebuild-index [flags]

DESCRIPTION

The "rebuild-index" command creates a new index based on the pack files in the repository.

OPTIONS

-h, --help[=false]
    help for rebuild-index

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    path to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)